Package org.apache.tapestry5

## Enum FieldFocusPriority

- java.lang.Object
- - java.lang.Enum<FieldFocusPriority>
  - - org.apache.tapestry5.FieldFocusPriority

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<FieldFocusPriority>`

      public enum FieldFocusPriority
      extends java.lang.Enum<FieldFocusPriority>

  Used to determine which field on a page should receive focus, based on its status.
  See Also:
    `JavaScriptSupport.autofocus(FieldFocusPriority, String)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `IN_ERROR` | A field that contains a validation error, the highest normal priority.
    `OPTIONAL` | An optional field, the lowest priority.
    `OVERRIDE` | Used to allow field focus to be manually overridden; this would be selected in user code and is higher priority than `IN_ERROR`.
    `REQUIRED` | A field whose input is required, which takes higher priority than optional.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FieldFocusPriority` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static FieldFocusPriority[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPTIONAL

          public static final FieldFocusPriority OPTIONAL

      An optional field, the lowest priority.

    - #### REQUIRED

          public static final FieldFocusPriority REQUIRED

      A field whose input is required, which takes higher priority than optional.

    - #### IN_ERROR

          public static final FieldFocusPriority IN_ERROR

      A field that contains a validation error, the highest normal priority.

    - #### OVERRIDE

          public static final FieldFocusPriority OVERRIDE

      Used to allow field focus to be manually overridden; this would be selected in user code and is higher priority than `IN_ERROR`.
      Since:
        5.1.0.4
      See Also:
        `FormFieldFocus`

  - ### Method Detail

    - #### values

          public static FieldFocusPriority[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldFocusPriority c : FieldFocusPriority.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldFocusPriority valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null